Skip to main content

Get Completion Token

Required role: write or higher.

Generate a completion token for an input connector.

Returns a token that can be passed to the /completion_status endpoint to check whether the pipeline has finished processing all inputs received from the connector before the token was generated.

Path Parameters
pipeline_name string — REQUIRED

Unique pipeline name

table_name string — REQUIRED

SQL table name. Unquoted SQL names have to be capitalized. Quoted SQL names have to exactly match the case from the SQL program.

connector_name string — REQUIRED

Unique input connector name

Responses
200

Completion token that can be passed to the '/completion_status' endpoint.

Schema — OPTIONAL
token string

Completion token.

An opaque string associated with the current position in the input stream generated by an input connector. Pass this string to the /completion_status endpoint to check whether all inputs associated with the token have been fully processed by the pipeline.

404

Specified pipeline, table, or connector does not exist

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.